MaddockInverseCumulativeNormal Class Reference

Maddock's Inverse cumulative normal distribution class. More...

`#include <ql/math/distributions/normaldistribution.hpp>`

Inherits unary_function< Real, Real >.

## Public Member Functions

| MaddockInverseCumulativeNormal (Real average=0.0, Real sigma=1.0)
Real | operator() (Real x) const

## Detailed Description

Maddock's Inverse cumulative normal distribution class.

Given x between zero and one as the integral value of a gaussian normal distribution this class provides the value y such that formula here ...

From the boost documentation: These functions use a rational approximation devised by John Maddock to calculate an initial approximation to the result that is accurate to ~10^-19, then only if that has insufficient accuracy compared to the epsilon for type double, do we clean up the result using Halley iteration.